package org.apache.ws.resource.example.filesystem;

import org.apache.ws.resource.ResourceContext;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlException;

import javax.xml.rpc.JAXRPCException;

/**
 * **** NOTE: This file will not be overwritten during generation ****
 *
 * This class should be generated ONCE (and not overwritten) to maintain user-added code.
 * If there is a change to the WSDL, then the generated implemented interfaces
 * (representing the "base" portTypes) will change, thus showing a compile error to the
 * user.
 *
 * NOTE: This class is generated. However, it will not be overwritten by subsequent
 *       calls to the code generator.
 *
 */
public class FilesystemService
   extends AbstractFilesystemService 
   implements FilesystemCustomOperationsPortType
{
   
      
   /**
    * A NamespaceVerionHolder which maintains the QNames of Spec Wsdls
    */
   public static final org.apache.ws.notification.base.v2004_06.impl.WsnNamespaceVersionHolderImpl SPEC_NAMESPACE_SET = new org.apache.ws.notification.base.v2004_06.impl.WsnNamespaceVersionHolderImpl();
    
   /**
    * Creates a new {@link FilesystemService } object.
    *
    * @param resourceContext DOCUMENT_ME
    */
   public FilesystemService( ResourceContext resourceContext )
   {
      super(resourceContext);
      init();
   }
   
      /**
    * Returns a collection of Spec Namespaces associated with this Service
    *
    * @return A NamespaceVersionHolder impl which represents the collection of spec namespaces 
    *         associated with this service.
    */
   protected org.apache.ws.resource.properties.NamespaceVersionHolder getNamespaceSet()
   {
      return SPEC_NAMESPACE_SET;
   }
   
      
   public org.apache.ws.resource.example.filesystem.UnmountResponseDocument Unmount( org.apache.ws.resource.example.filesystem.UnmountDocument requestDoc ) throws org.apache.ws.resource.example.filesystem.MountDeviceBusyFaultException
   {              
     	org.apache.ws.resource.example.filesystem.UnmountResponseDocument responseDocument = org.apache.ws.resource.example.filesystem.UnmountResponseDocument.Factory.newInstance();	
     	org.apache.ws.resource.example.filesystem.UnmountResponseDocument.UnmountResponse  response = responseDocument.addNewUnmountResponse();
     	//TODO implement method and populate the response object 
     	return responseDocument;
   }
   
   
      
   public org.apache.ws.resource.example.filesystem.MountResponseDocument Mount( org.apache.ws.resource.example.filesystem.MountDocument requestDoc ) throws org.apache.ws.resource.example.filesystem.MountDeviceBusyFaultException
   {              
     	org.apache.ws.resource.example.filesystem.MountResponseDocument responseDocument = org.apache.ws.resource.example.filesystem.MountResponseDocument.Factory.newInstance();	
     	org.apache.ws.resource.example.filesystem.MountResponseDocument.MountResponse  response = responseDocument.addNewMountResponse();
     	//TODO implement method and populate the response object 
     	return responseDocument;
   }
   
   
      
}
